<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.cardview.widget.CardView
        android:id="@+id/imageContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_weight="1"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/image"
                style="@style/frescoStyle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:roundedCornerRadius="8dp"
                app:roundingBorderColor="@color/black_alpha_5"
                app:roundingBorderWidth="1px" />

            <View
                android:id="@+id/gifBorder"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/bg_forum_image_border"
                android:visibility="gone" />

            <TextView
                android:id="@+id/pendingView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/black_alpha_60"
                android:gravity="center"
                android:lineSpacingExtra="4dp"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/pending_status"
                android:textColor="@color/white_alpha_80"
                android:textSize="12sp" />
        </RelativeLayout>
    </androidx.cardview.widget.CardView>


    <ImageView
        android:id="@+id/video_play"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:src="@drawable/community_video_play_icon"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/imageContainer"
        app:layout_constraintLeft_toLeftOf="@id/imageContainer"
        app:layout_constraintRight_toRightOf="@id/imageContainer"
        app:layout_constraintTop_toTopOf="@id/imageContainer" />


    <TextView
        android:id="@+id/duration_or_num_tv"
        android:layout_width="wrap_content"
        android:layout_height="16dp"
        android:layout_margin="8dp"
        android:background="@drawable/bg_pic_count_label"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingLeft="4dp"
        android:paddingRight="4dp"
        android:text="00:00"
        android:textColor="@color/white"
        android:textSize="10sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <ImageView
        android:id="@+id/labelIcon"
        android:layout_width="wrap_content"
        android:layout_height="16dp"
        android:layout_margin="8dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>
